/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package com.api;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.web.servlet.HttpEncodingAutoConfiguration;
import org.springframework.boot.autoconfigure.web.servlet.WebMvcProperties;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.filter.CharacterEncodingFilter;
import org.springframework.web.servlet.DispatcherServlet;

@SpringBootApplication
@ComponentScan({"com.common","com.api"})
public class ApiApplication {

	public static void main(String[] args) {
		ConfigurableApplicationContext run = SpringApplication.run(ApiApplication.class, args);
		WebMvcProperties bean = run.getBean(WebMvcProperties.class);
		DispatcherServlet bean1 = run.getBean(DispatcherServlet.class);
		CharacterEncodingFilter encodingFilter = run.getBean(CharacterEncodingFilter.class);
		HttpEncodingAutoConfiguration bean2 = run.getBean(HttpEncodingAutoConfiguration.class);
		String[] beanDefinitionNames = run.getBeanDefinitionNames();
		for (String beanDefinitionName : beanDefinitionNames) {
			//System.out.println(beanDefinitionName);
		}
	}

}
